Index: source/class/pf/Application.js
===================================================================
--- source/class/pf/Application.js	(revision 144)
+++ source/class/pf/Application.js	(revision 146)
@@ -1073,79 +1031,67 @@
             var folder;
             
-            folder = new qx.legacy.ui.tree.TreeFolder("Dimensionless");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            var root = new qx.ui.tree.TreeFolder("Root");
+            root.setOpen(true);
+            tree.setRoot(root);
+            tree.setHideRoot(true);
+            tree.setRootOpenClose(true);
+            tree.setOpenMode("none");
+
+            tree.addListener("changeSelection", clickTreeCB, this);
+            
+            folder = new qx.ui.tree.TreeFolder("Dimensionless");
+            root.add(folder);
             this.gui_folder_none = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Length");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Length");
+            root.add(folder);
             this.gui_folder_length = folder;
             
-            folder = new qx.legacy.ui.tree.TreeFolder("Frequency");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Frequency");
+            root.add(folder);
             this.gui_folder_freq = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Velocity");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Velocity");
+            root.add(folder);
             this.gui_folder_vel = folder;
             
-            folder = new qx.legacy.ui.tree.TreeFolder("Area");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Area");
+            root.add(folder);
             this.gui_folder_area = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Energy");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Energy");
+            root.add(folder);
             this.gui_folder_energy = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Pressure");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Pressure");
+            root.add(folder);
             this.gui_folder_pressure = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Power density");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Power density");
+            root.add(folder);
             this.gui_folder_power_density = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Power spectral density");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Power spectral density");
+            root.add(folder);
             this.gui_folder_spectral_power_density = folder;
 
-            folder = new qx.legacy.ui.tree.TreeFolder("Miscellaneous");
-            folder.setAlwaysShowPlusMinusSymbol(true);
-            folder.addListener("changeSelected", clickTreeCB, this);
-            tree.add(folder);
+            folder = new qx.ui.tree.TreeFolder("Miscellaneous");
+            root.add(folder);
             this.gui_folder_misc = folder;
 
+            
+
             this.populateTree();
 
-            tree.setHideNode(true);
-            tree.setRootOpenClose(true);
-            
             // Build context-sensitive popup menu
-            this.treeMenu = new qx.legacy.ui.menu.Menu;
+            this.treeMenu = new qx.ui.menu.Menu;
             var button;
             
-            button = new qx.legacy.ui.menu.Button("Add to Favorites",
+            button = new qx.ui.menu.Button("Add to Favorites",
                 "pf/image/favorite-add.png");
             button.addListener("execute", addToFavCB, this);
             this.treeMenu.add(button);
             this.treeMenuButtonAddToFav = button;
-            button = new qx.legacy.ui.menu.Button("Remove from Favorites",
+            button = new qx.ui.menu.Button("Remove from Favorites",
                 "pf/image/favorite-delete.png");
             button.addListener("execute", removeFromFavCB, this);
@@ -1156,68 +1102,46 @@
 
 
-            var vbl = new qx.legacy.ui.layout.VerticalBoxLayout("vertical");
-            vbl.set(
-            {
-                height          : "100%",
-                width           : "100%",
-                padding         : 4,
-                spacing         : 10
-            });
-            right_pane.add(vbl);
-
-            var gl = new qx.legacy.ui.layout.GridLayout;
-            gl.set(
-            {
-                height            : "auto",
-                left              : 4,
-                right             : 4,
-                top               : 4,
-                verticalSpacing   : 4,
-                horizontalSpacing : 6
-            });
-            
-            gl.setColumnCount(3);
-            gl.setColumnWidth(0, "15%");
-            gl.setColumnWidth(1, "60%");
-            gl.setColumnWidth(2, "20%");
-            gl.setRowCount(3);
-            gl.setRowHeight(0, 30);
-            gl.setRowHeight(1, 30);
-            gl.setRowHeight(2, 30);
-
+            var layout = new qx.ui.layout.Grid(4, 6);
+            layout.setColumnFlex(0, 3);
+            layout.setColumnFlex(1, 12);
+            layout.setColumnFlex(2, 4);
+            layout.setColumnMinWidth(0,  50);
+            layout.setColumnMaxWidth(2, 150);
+            var gl = new qx.ui.container.Composite(layout);
+            
             var l, e;
-
-            l = new qx.legacy.ui.basic.Label("Name:");
-            gl.add(l, 0, 0);
-            e = new qx.legacy.ui.form.TextField();
+            
+
+            l = new qx.ui.basic.Label("Name:");
+            gl.add(l, {row: 0, column: 0});
+            e = new qx.ui.form.TextField();
             e.setReadOnly(true);
             this.gui_entity_name = e;
-            gl.add(e, 1, 0);
-
-            l = new qx.legacy.ui.basic.Label("Value:");
-            gl.add(l, 0, 1);
+            gl.add(e, {row: 0, column: 1, colSpan: 2});
+
+            l = new qx.ui.basic.Label("Value:");
+            gl.add(l, {row: 1, column: 0});
             e = new pf.ui.TextField("");
             e.setReadOnly(true);
-            gl.add(e, 1, 1);
+            gl.add(e, {row: 1, column: 1});
             this.gui_entity_value = e;
 
             e = new pf.UnitSelector();
-            e.addListener("changeSelected", changeUnitsCB, this);
-            gl.add(e, 2, 1);
+            e.addListener("changeSelection", changeUnitsCB, this);
+            gl.add(e, {row: 1, column: 2});
             this.gui_entity_units = e;
 
-            l = new qx.legacy.ui.basic.Label("Section:");
-            gl.add(l, 0, 2);
-            e = new qx.legacy.ui.form.TextField();
+            l = new qx.ui.basic.Label("Section:");
+            gl.add(l, {row: 2, column: 0});
+            e = new qx.ui.form.TextField();
             e.setReadOnly(true);
             this.gui_entity_section = e;
-            gl.add(e, 1, 2);
-
-            vbl.add(gl);
-            
-            var frame = new qx.legacy.ui.embed.Iframe();
-            frame.set({ width : '100%', height : '2*' });
-            
-            vbl.add(frame);
+            gl.add(e, {row: 2, column: 1, colSpan: 2});
+
+            right_pane.add(gl, {flex: 1});
+            
+            var frame = new qx.ui.embed.Iframe();
+            
+            right_pane.add(frame, {flex : 3 });
             
             this.gui_wiki = frame;
@@ -1228,32 +1152,27 @@
             var page_id = this.renderTabPage("Compare",
                 "pf/image/tab-compare.png");
-            
-            var bl = new qx.legacy.ui.layout.VerticalBoxLayout("vertical");
-            bl.setWidth("100%");
-            bl.setHeight("100%");
-            bl.setSpacing(10);
+            page_id.setLayout(new qx.ui.layout.VBox(1));
+            
+            var bl = new qx.ui.container.Composite(new qx.ui.layout.VBox(10));
             page_id.add(bl);
             
-            var rc = new qx.legacy.ui.layout.HorizontalBoxLayout;
-            rc.setWidth("100%");
-            rc.setHeight("auto");
-            rc.setSpacing(10);
+            var rc = new qx.ui.container.Composite(new qx.ui.layout.HBox(10));
             bl.add(rc);
 
             var l, e;
-            l = new qx.legacy.ui.basic.Label("Dimension:");
-            e = new pf.ui.ComboBox;
-            e.add(new qx.legacy.ui.form.ListItem("Frequency", null, "frequency"));
-            e.add(new qx.legacy.ui.form.ListItem("Length", null, "length"));
-            e.add(new qx.legacy.ui.form.ListItem("Velocity", null, "velocity"));
-            e.add(new qx.legacy.ui.form.ListItem("Energy", null, "energy"));
-            e.add(new qx.legacy.ui.form.ListItem("Pressure", null, "pressure"));
-            e.add(new qx.legacy.ui.form.ListItem("Area", null, "area"));
-            e.add(new qx.legacy.ui.form.ListItem("Power density", null, "power_density"));
-            e.add(new qx.legacy.ui.form.ListItem("Power spectral density",
-                null, "spectral_power_density"));
-            e.add(new qx.legacy.ui.form.ListItem("Electric field", null, "efield"));
-            e.add(new qx.legacy.ui.form.ListItem("None", null, "none"));
-            e.addListener("changeSelected", function(ev) {
+            l = new qx.ui.basic.Label("Dimension:");
+            rc.add(l);
+            e = new pf.ui.SelectBox;
+            e.addItem("None", "none");
+            e.addItem("Length", "length");
+            e.addItem("Frequency", "frequency");
+            e.addItem("Velocity", "velocity");
+            e.addItem("Area", "area");
+            e.addItem("Energy", "energy");
+            e.addItem("Pressure", "pressure");
+            e.addItem("Power density", "power_density");
+            e.addItem("Power spectral density", "spectral_power_density");
+            e.addItem("Electric field", "efield");
+            e.addListener("changeSelection", function(ev) {
                     var dimension = this.gui_compare_dim.getSelectedValue();
                     this.gui_compare_units.update(dimension,
@@ -1262,49 +1181,47 @@
                     this.updateLegendListView();
                 }, this);
-            rc.add(l, e);
+            rc.add(e);
             this.gui_compare_dim = e;
-
-            l = new qx.legacy.ui.basic.Label("Units:");
+            
+            l = new qx.ui.basic.Label("Units:");
+            rc.add(l);
             e = new pf.UnitSelector();
-            e.addListener("changeSelected", function(ev) {
+            e.update("none");
+            e.addListener("changeSelection", function(ev) {
                     this.updateFavoritesListView();
                 }, this);
-            rc.add(l, e);
+            rc.add(e);
             this.gui_compare_units = e;
 
-            var lc =
-            {
-                s_icon   : { label      : "",
-                             width      : 24,
-                             type       : "iconHtml",
-                             align      : "center",                    
-                             sortable   : false                         },
-                name     : { label      : "Name",
-                             width      : 300,
-                             type       : "text",
-                             align      : "left",
-                             sortable   : true,
-                             sortProp   : "text"                        },
-                section  : { label      : "Section",
-                             width      : 120,
-                             type       : "text",
-                             align      : "left",
-                             sortable   : true,
-                             sortProp   : "text"                        },
-                value    : { label      : "Value",
-                             width      : 120,
-                             type       : "text",
-                             align      : "right",
-                             sortable   : true,
-                             sortProp   : "text",
-                             sortMethod : qx.legacy.util.Compare.byFloatString }
-            };
-
-            var lv = new qx.legacy.ui.listview.ListView(new Array, lc);
-
-            lv.setWidth("100%");
-            lv.setHeight("2*");
-            lv.setBackgroundColor("white");
-            lv.setBorder("dark-shadow");
+            // table model
+            var tm = new qx.ui.table.model.Simple();
+            tm.setColumns([ "", "Name", "Section", "Value" ]);
+            
+            tm.setColumnEditable(0, false);
+            tm.setColumnEditable(1, false);
+            tm.setColumnEditable(2, false);
+            tm.setColumnEditable(3, false);
+            
+            tm.setColumnSortable(0, false);
+            
+            tm.setSortMethods(3, function(row1, row2) {
+                var obj1 = parseFloat(row1[arguments.callee.columnIndex]);
+                var obj2 = parseFloat(row2[arguments.callee.columnIndex]);
+                return (obj1 > obj2) ? 1 : ((obj1 == obj2) ? 0 : -1);
+            });
+            
+            // table list
+            var lv = new qx.ui.table.Table(tm);
+
+            lv.setStatusBarVisible(false);
+            lv.setShowCellFocusIndicator(false);
+            lv.setColumnVisibilityButtonVisible(false);
+            
+            lv.setColumnWidth(0,  24);
+            lv.setColumnWidth(1, 300);
+            lv.setColumnWidth(2, 120);
+            
+            var renderer = new qx.ui.table.cellrenderer.Image(16, 16);
+            lv.getTableColumnModel().setDataCellRenderer(0, renderer);
 
             bl.add(lv);
@@ -1319,5 +1236,5 @@
             canvas.setPrintable(true);
             
-            var pname = this.guiParameter.getValue();
+            var pname = this.guiParameter.getSelectedValue();
             var vmin = this.guiMinParam.getNumValue();
             var vmax = this.guiMaxParam.getNumValue();
@@ -1480,9 +1397,9 @@
             
             canvas.setViewportCoordinates(0.15, 0.1, 0.9, 0.9);
-            dwx = Math.abs(wxmax - wxmin);
+            var dwx = Math.abs(wxmax - wxmin);
             if (dwx == 0) {
                 dwx = wxmax;
             }
-            dwy = Math.abs(wymax - wymin);
+            var dwy = Math.abs(wymax - wymin);
             if (dwy == 0) {
                 wymin = 0.0;
@@ -1534,10 +1451,8 @@
         showWikiPage : function(entity)
         {
-            var url;
+            var url = "about:blank";
             if (entity && entity.wikiLink) {
                 url = "http://en.wikipedia.org/w/index.php?title=" +
                       entity.wikiLink + "&printable=yes";
-            } else {
-                url = null;
             }
             
@@ -1548,5 +1463,5 @@
         {
             var tree = this.entity_tree;
-            var leaf = tree.getSelectedElement();
+            var leaf = getSingleTreeSelectedItem(tree);
             
             if (!leaf) {
@@ -1568,191 +1483,143 @@
             var page_id = this.renderTabPage("Plot",
                 "pf/image/tab-plot.png");
-
-            var sp = new qx.legacy.ui.splitpane.HorizontalSplitPane("1*", 300);
-            sp.set(
-            {
-                height          : "100%",
-                width           : "100%",
-                left            : 1,
-                right           : 1,
-                top             : 1,
-                bottom          : 1,
-                border          : "inset-thin",
-                showKnob        : true
+            page_id.setLayout(new qx.ui.layout.VBox);
+
+            var sp = new qx.ui.splitpane.Pane("horizontal");
+            page_id.add(sp, {height: "100%"});
+                        
+            var left_pane = new qx.ui.container.Composite(new qx.ui.layout.Grow).set({
+              width: 470,
+              decorator : "main"
             });
-            page_id.add(sp);
-                        
-            var left_pane  = sp.getLeftArea();
-            left_pane.setBackgroundColor("white");
-            left_pane.setBorder("inset-thin");
-            var right_pane = sp.getRightArea();
-            right_pane.setBackgroundColor("white");
-            right_pane.setBorder("inset-thin");
-
+            var right_pane = new qx.ui.container.Composite(new qx.ui.layout.VBox(4)).set({
+              padding : 4,
+              decorator : "main"
+            });
+
+            sp.add(left_pane,  0);
+            sp.add(right_pane, 1);
+            
             var canvas = new pf.ui.canvas.Plotter();
-            canvas.set(
-            {
-                height          : "100%",
-                width           : "100%"
-            });
             left_pane.add(canvas);
             this.canvas = canvas;
 
-
-            var vbl = new qx.legacy.ui.layout.VerticalBoxLayout("vertical");
-            vbl.set(
-            {
-                height          : "100%",
-                width           : "100%",
-                padding         : 4,
-                spacing         : 10
-            });
-            right_pane.add(vbl);
-
-            var gl = new qx.legacy.ui.layout.GridLayout;
-            gl.set(
-            {
-                height            : "auto",
-                width             : "100%",
-                left              : 4,
-                right             : 4,
-                top               : 4,
-                verticalSpacing   : 4,
-                verticalSpacing   : 4,
-                horizontalSpacing : 6
-            });
-            
-            gl.setColumnCount(2);
-            gl.setColumnWidth(0, 150);
-            gl.setColumnWidth(1, 100);
-            gl.setRowCount(5);
-            gl.setRowHeight(0, 30);
-            gl.setRowHeight(1, 30);
-            gl.setRowHeight(2, 30);
-            gl.setRowHeight(3, 30);
-            gl.setRowHeight(4, 30);
-            vbl.add(gl);
+            var layout = new qx.ui.layout.Grid(4, 6);
+            var gl = new qx.ui.container.Composite(layout);
 
             var l, e;
 
-            var btn = new qx.legacy.ui.form.Button("Redraw", "pf/image/tab-plot.png");
+            var btn = new qx.ui.form.Button("Redraw", "pf/image/tab-plot.png");
             btn.addListener("execute", this.drawCB, this);
-            gl.add(btn, 0, 0);
-
-            l = new qx.legacy.ui.basic.Label("Parameter to vary:");
-            e = new pf.ui.ComboBox;
-            e.add(new qx.legacy.ui.form.ListItem("N_e",   null, "N_e"));
-            e.add(new qx.legacy.ui.form.ListItem("T",     null, "T"));
-            e.add(new qx.legacy.ui.form.ListItem("T_e",   null, "T_e"));
-            e.add(new qx.legacy.ui.form.ListItem("T_i",   null, "T_i"));
-            e.add(new qx.legacy.ui.form.ListItem("T_r",   null, "T_r"));
-            e.add(new qx.legacy.ui.form.ListItem("T_i,r", null, "T_i,r"));
-            e.add(new qx.legacy.ui.form.ListItem("B",     null, "B"));
+            gl.add(btn, {row: 0, column: 0});
+
+            l = new qx.ui.basic.Label("Parameter to vary:");
+            e = new pf.ui.SelectBox;
+            e.addItem("N_e",   "N_e");
+            e.addItem("T",     "T");
+            e.addItem("T_e",   "T_e");
+            e.addItem("T_i",   "T_i");
+            e.addItem("T_r",   "T_r");
+            e.addItem("T_i,r", "T_i,r");
+            e.addItem("B",     "B");
             e.selectByValue("N_e");
             this.guiParameter = e;
-            gl.add(l, 0, 1);
-            gl.add(e, 1, 1);
-
-            l = new qx.legacy.ui.basic.Label("Minimum scale:");
+            gl.add(l, {row: 1, column: 0});
+            gl.add(e, {row: 1, column: 1});
+
+            l = new qx.ui.basic.Label("Minimum scale:");
             e = new pf.ui.TextField(0.5);
             this.guiMinParam = e;
-            gl.add(l, 0, 2);
-            gl.add(e, 1, 2);
-
-            l = new qx.legacy.ui.basic.Label("Maximum scale:");
+            gl.add(l, {row: 2, column: 0});
+            gl.add(e, {row: 2, column: 1});
+
+            l = new qx.ui.basic.Label("Maximum scale:");
             e = new pf.ui.TextField(2.0);
             this.guiMaxParam = e;
-            gl.add(l, 0, 3);
-            gl.add(e, 1, 3);
-
-            l = new qx.legacy.ui.basic.Label("Number of points:");
-            e = new pf.ui.Spinner(2, 20, 100);
+            gl.add(l, {row: 3, column: 0});
+            gl.add(e, {row: 3, column: 1});
+
+            l = new qx.ui.basic.Label("Number of points:");
+            e = new qx.ui.form.Spinner(2, 20, 100);
             this.guiParamPoints = e;
-            gl.add(l, 0, 4);
-            gl.add(e, 1, 4);
-
-
-            var lc =
-            {
-                s_icon   : { label      : "",
-                             width      : 24,
-                             type       : "iconHtml",
-                             align      : "center",                    
-                             sortable   : false                         },
-                name     : { label      : "Name",
-                             width      : 185,
-                             type       : "text",
-                             align      : "left",
-                             sortable   : true,
-                             sortProp   : "text"                        },
-                color    : { label      : "Color",
-                             width      : 55,
-                             type       : "text",
-                             align      : "left",
-                             sortable   : false                         }
-            };
-
-            var lv = new qx.legacy.ui.listview.ListView(new Array, lc);
-
-            lv.setWidth("100%");
-            lv.setHeight("2*");
-            // lv.setBackgroundColor("white");
-            lv.setBorder("dark-shadow");
+            gl.add(l, {row: 4, column: 0});
+            gl.add(e, {row: 4, column: 1});
+
+            right_pane.add(gl);
+
+
+
+            var tm = new qx.ui.table.model.Simple();
+            tm.setColumns(["", "Name", "Color", ""],
+                          ["icon", "name", "color", "favorite"]);
+            
+            tm.setColumnEditable(0, false);
+            tm.setColumnEditable(1, false);
+            tm.setColumnEditable(2, false);
+            
+            tm.setColumnSortable(1, false);
+            
+            // table list
+            var lv = new qx.ui.table.Table(tm);
+            lv.set({
+                height: 310
+            });
+
+            var cm = lv.getTableColumnModel();
+            cm.setColumnVisible(3, false);
+            
+            lv.setStatusBarVisible(false);
+            lv.setShowCellFocusIndicator(false);
+            lv.setColumnVisibilityButtonVisible(false);
+            
+            lv.setColumnWidth(0,  24);
+            lv.setColumnWidth(1, 185);
+            lv.setColumnWidth(2,  55);
+            
+            var renderer = new qx.ui.table.cellrenderer.Image(16, 16);
+            lv.getTableColumnModel().setDataCellRenderer(0, renderer);
+
+            right_pane.add(lv);
+            this.legendListView = lv;
+            
+            var sm = lv.getSelectionModel();
             
             lv.addListener("dblclick", function(ev) {
                     ev.stopPropagation();
-                    var pane = this.getPane();
-                    var item = pane.getSelectedItem();
-                    if (!item) {
+
+                    if (sm.isSelectionEmpty()) {
                         return;
                     }
+                    
+                    var index = sm.getLeadSelectionIndex();
+                    var item = tm.getRowDataAsMap(index);
+
                     var favorite = item.favorite;
                     if (!favorite) {
                         return;
                     }
-                    mypop.setUserData("favorite", null); // avoid loop call
-                    mypop.setValue(favorite.color);
-                    mypop.setUserData("favorite", favorite);
-                    var el = this.getElement();
-                    mypop.setTop(qx.legacy.html.Location.getPageBoxTop(el));
-                    mypop.setLeft(qx.legacy.html.Location.getPageBoxLeft(el) -
-                        this.getWidthValue());
-                    mypop.show();
+                    cpop.setUserData("favorite", null); // avoid loop call
+                    cpop.setValue(favorite.color);
+                    cpop.setUserData("favorite", favorite);
+                    
+                    cpop.placeToMouse(ev);
+                    cpop.open();
                 });
 
-            vbl.add(lv);
-            this.legendListView = lv;
-            
-            var mytables =
-            {
-              core : {
-                label : "Basic Colors",
-                values : this.colorMap
-              },
-
-              recent : {
-                label : "Recent Colors",
-                values : [ ]
-              }
-            }
-
-            var mypop = new qx.legacy.ui.component.ColorPopup(mytables);
-            // A hack
-            mypop._layout.remove(mypop._automaticBtn);
-
-            mypop.addToDocument();
-
-            mypop.addListener("changeValue", function(ev) {
-                var color = ev.getValue();
-                var mypop = ev.getTarget();
-                var favorite = mypop.getUserData("favorite");
-                if (!favorite || !color) {
-                    return;
-                }
-                favorite.color = color;
-                this.updateLegendListView();
-                this.drawAll();
-            }, this);
-    
+            var cpop = new pf.ui.ColorPopup(this.colorMap);
+            cpop.exclude();
+
+            this.doc.add(cpop);
+
+            cpop.addListener("changeValue", function(ev) {
+                    var color = ev.getData();
+                    var cpop = ev.getTarget();
+                    var favorite = cpop.getUserData("favorite");
+                    if (!favorite || !color) {
+                        return;
+                    }
+                    favorite.color = color;
+                    this.updateLegendListView();
+                    this.drawAll();
+                }, this);
         },
 
@@ -1771,9 +1638,9 @@
         {
             var lv = this.saveLoadConfigList;
+            var tm = lv.getTableModel();
+            
             var configPtrs = this.prefs.configPtrs;
             
-            var rowData = lv.getData();
-            rowData.length = 0;
-            lv.getPane().getManager().deselectAll();
+            var rowData = new Array();
 
             var i;
@@ -1786,11 +1653,12 @@
                 d.setTime(configPtr.time);
 
-                rowData.push({ name : {text       : configPtr.name },
-                               date : {text       : df.format(d)   }
-                             });
-            }
-            
-            lv.updateSort();
-            lv.update();
+                rowData.push([configPtr.name, df.format(d)]);
+            }
+            
+            tm.setData(rowData, false);
+            var sidx = tm.getSortColumnIndex();
+            tm.sortByColumn(sidx, tm.isSortAscending());
+            
+            lv.updateContent();
         },
         
@@ -1843,31 +1711,26 @@
             var submenu, btn, q;
 
-            var theme = qx.legacy.theme.manager.Color.getInstance().getColorTheme();
-            var bg = '#' +
-                qx.util.ColorUtil.rgbToHexString(theme.colors['button']);
-            
-            submenu = new qx.legacy.ui.menu.Menu;
-            submenu.setBackgroundColor(bg);
+            submenu = new qx.ui.menu.Menu;
             this.doc.add(submenu);
-            q = new qx.event.Command("Ctrl+O");
+            q = new qx.ui.core.Command("Ctrl+O");
             q.addListener("execute", this.openCB, this);
-            btn = new qx.legacy.ui.menu.Button("Open...", "pf/image/open.png", q);
+            btn = new qx.ui.menu.Button("Open...", "pf/image/open.png", q);
             submenu.add(btn);
-            q = new qx.event.Command("Ctrl+S");
+            q = new qx.ui.core.Command("Ctrl+S");
             q.addListener("execute", this.saveConfigCB, this);
-            btn = new qx.legacy.ui.menu.Button("Save", "pf/image/save.png", q);
+            btn = new qx.ui.menu.Button("Save", "pf/image/save.png", q);
             submenu.add(btn);
-            btn = new qx.legacy.ui.menu.Button("Save as...", "pf/image/save.png");
+            btn = new qx.ui.menu.Button("Save as...", "pf/image/save.png");
             btn.addListener("execute", this.saveAsCB, this);
             submenu.add(btn);
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            q = new qx.event.Command("Ctrl+P");
+            submenu.add(new qx.ui.menu.Separator);
+            q = new qx.ui.core.Command("Ctrl+P");
             q.addListener("execute", function(ev) {
                 window.print();
             });
-            btn = new qx.legacy.ui.menu.Button("Print...", "pf/image/print.png", q);
+            btn = new qx.ui.menu.Button("Print...", "pf/image/print.png", q);
             submenu.add(btn);
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            q = new qx.event.Command("Ctrl+R");
+            submenu.add(new qx.ui.menu.Separator);
+            q = new qx.ui.core.Command("Ctrl+R");
             q.addListener("execute", function(ev) {
                     if (!this.prefs.warnOnExit ||
@@ -1877,8 +1740,8 @@
                     }
                 }, this);
-            btn = new qx.legacy.ui.menu.Button("Restart", "pf/image/reset.png", q);
+            btn = new qx.ui.menu.Button("Restart", "pf/image/reset.png", q);
             submenu.add(btn);
-            submenu.add(new qx.legacy.ui.menu.Separator);
-            q = new qx.event.Command("Ctrl+Q");
+            submenu.add(new qx.ui.menu.Separator);
+            q = new qx.ui.core.Command("Ctrl+Q");
             q.addListener("execute", function(ev) {
                     if (!this.prefs.warnOnExit ||
